Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479440 - API: satellite.listEntitlements missing key names in return arrays
Summary: API: satellite.listEntitlements missing key names in return arrays
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: API
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brad Buckingham
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-09 16:33 UTC by Brad Buckingham
Modified: 2009-01-22 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:33 UTC


Attachments (Terms of Use)

Description Brad Buckingham 2009-01-09 16:33:02 UTC
Description of problem:

The API documentation for the satellite.listEntitlements is missing the key names for the system and channel array lists returned.

How reproducible:
always

Steps to Reproduce:
1. go to https://<HOST>/rhn/apidoc/satellite/SatelliteHandler.jsp
  
Actual results:
observe satellite.listEntitlements lists 2 arrays for system and channel entitlements; however, they "key" to access them is not included in the array.

E.g.Returns:

    * struct - channel/system entitlements
          o array
                + struct - system entitlement
                      # string "label"
                      # string "name"
                      # int "used_slots"
                      # int "free_slots"
                      # int "total_slots"
          o array
                + struct - channel entitlement
                      # string "label"
                      # string "name"
                      # int "used_slots"
                      # int "free_slots"
                      # int "total_slots"

Expected results:

The key is included in the array docs.  

E.g. 

Returns:

    * struct - channel/system entitlements
          o array "system"
                + struct - system entitlement
                      # string "label"
                      # string "name"
                      # int "used_slots"
                      # int "free_slots"
                      # int "total_slots"
          o array "channel"
                + struct - channel entitlement
                      # string "label"
                      # string "name"
                      # int "used_slots"
                      # int "free_slots"
                      # int "total_slots"


Additional info:

Comment 1 Brad Buckingham 2009-01-09 16:37:17 UTC
updated doc w/ commit:
4ac41f11a199947272cff97ab881da4f06abcb11

Comment 2 Brad Buckingham 2009-01-15 14:27:27 UTC
verified on spacewalk-java-0.4.14-1.el5


Note You need to log in before you can comment on or make changes to this bug.